任务单 #5369

JNetHack3.4.3とのメッセージ突き合わせ等(一部)
开放日期: 2004-12-19 14:00 最后更新: 2005-01-10 22:03

报告人:
属主:
类型:
状态:
关闭
组件:
(无)
里程碑:
(无)
优先:
5 - Medium
严重性:
5 - Medium
处理结果:
Fixed
文件:
1

Details

srcフォルダ内の一部のファイル内容を
JNetHack3.4.3と比較する機会があったので、この
際だからと双方のメッセージを突き合わせてみまし
た(一部ファイル限定ですが)。
私訳も含めてまとめて修正ファイルUpします。

あとdo.cのは別口で見つけた分ですが、一緒に入
れておきます。
----
・apply.c [JSLASH'EM]
0961行目 「あなたは魚がやってきて化粧直しをし
た.」では不自然なのでYou()をpline()に修正。
1007行目 [私訳]透明な鏡を、透明な物を見る能
力の無い怪物に向けた時。
     "(怪物)は鏡を見ることができな
い."→"(怪物)にはあなたの鏡が見えていない."

・do.c [双方]
0116行目 岩を溶岩に落とした時に「大きな水しぶ
き」が上がっていたのを「大きなしぶき」に修正。

・mhitu.c [JSLASH'EM]
0264行目 [私訳]怪物がこれ以上傷みようのない
武器(完全に錆びた-5武器)を振るってきた時。
     "(怪物)の(武器)はひどく傷ついてい
る!"→"(怪物)の(武器)はひどく傷んでいる!"

・wield.c [JSLASH'EM]
1229行目 [私訳]火のついた松明を、収納したり拾
い上げたりする時。
     "片付ける前に"→"しまう前に"

・zap.c [JSLASH'EM]
3429行目 You("は叫んだ.~") だと「あなたはは
叫んだ.~」になってしまうような。(未確認)

----
労力を考えると全部突き合わせるのは難しそう(T
T)ですが、気づいたらまた報告します。

任务单历史 (3/6 Histories)

2004-12-19 14:00 Updated by: sakusha
  • File 1202: iroiro_fix_slem.diff is attached
2004-12-19 14:04 Updated by: sakusha
评论
Logged In: YES
user_id=11019

追記。

> 1229行目 [私訳]火のついた松明を、収納したり
> 拾 い上げたりする時。
>      "片付ける前に"→"しまう前に"

これは、単に拾った場合でも
「あなたは片付ける前に火を消した. x-松明.」
というメッセージになってしまっていたためです。
2004-12-19 22:12 Updated by: so-miya
  • 属主 Update from (无) to so-miya
  • 处理结果 Update from to Accepted
评论
Logged In: YES
user_id=1624

どうもご報告ありがとうございます。
確認しました。
2004-12-20 23:24 Updated by: so-miya
评论
Logged In: YES
user_id=1624

CVS上に反映しました。
2004-12-20 23:24 Updated by: so-miya
  • 处理结果 Update from Accepted to Fixed
2005-01-10 22:03 Updated by: so-miya
  • Ticket Close date is changed to 2005-01-10 22:03
  • 状态 Update from 开启 to 关闭
评论
Logged In: YES
user_id=1624

J0.0.11をリリースしたので閉じます。

Attachment File List

编辑

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » 登录名